[Bioperl-l] require/use BioPerl version 1.4

Jason Stajich jason at cgt.duhs.duke.edu
Fri Aug 13 11:36:19 EDT 2004

Bio::Root::Version holds the version.

We don't really have such a thing for the run component though.

You can get the installed version via $Object::VERSON, i.e.

% perl -I ~/bioperl/branch-1-4 -MBio::SeqIO -e 'print "$Bio::SeqIO::VERSION\n";'
% perl -I ~/bioperl/bioperl-live -MBio::SeqIO -e 'print "$Bio::SeqIO::VERSION\n";'

On Fri, 13 Aug 2004, Nathan Haigh wrote:

> Since the release of Bioperl 1.4, BioPerl has been split into separate
> packages e.g. Core and Run components. I want to be able to request version
> >=1.4 of the Core component and the Run Component - is this possible?
> Thanks
> Nathan
> _______________________________________________
> Bioperl-l mailing list
> Bioperl-l at portal.open-bio.org
> http://portal.open-bio.org/mailman/listinfo/bioperl-l

Jason Stajich
Duke University
jason at cgt.mc.duke.edu

More information about the Bioperl-l mailing list